#!/bin/bash

set -ex

ABL_DIR=$(readlink -f $1)
SECTOOLS_V2=$(readlink -f $2)
SECTOOLS_SECURITY_PROFILE_V2=$3
OUT_DIR=$4
TARGET=$5

ROOT_DIR=$ABL_DIR
ABL_SRC=""

export TARGET_BUILD_VARIANT="userdebug"

ABL_OUT_DIR="${OUT_DIR}/abl-$TARGET-${TARGET_BUILD_VARIANT}"
ABL_IMAGE_NAME="abl_${TARGET_BUILD_VARIANT}.elf"
ABL_IMAGE_DIR=${ABL_OUT_DIR}

source "${ROOT_DIR}/QcomModulePkg/build.config.msm.$TARGET"

cp ${ABL_IMAGE_DIR}/unsigned_abl_${TARGET_BUILD_VARIANT}.elf ${ABL_IMAGE_DIR}/${ABL_IMAGE_NAME} 

"${SECABL_CMD[@]}"
